id: vegetation-names
source: spirit-local
source-layer: vegetation-names
minzoom: 13
type: symbol
filter:
  - '>='
  - [get, way_area]
  - ['*', 1500, 6126430366.1, ['^', 0.25, [zoom]]]
layout:
  text-field: '{name}'
  text-font: !!inc/file style/inc/regular-font.yaml
  text-size: 12
  text-max-width:
    - interpolate
    - [linear]
    - [length, [get, name]]
    - 20
    - 7
    - 40
    - 10
    - 60
    - 15
paint:
  text-color: black
  text-halo-width: 1
  text-halo-color:
    - match
    - [get, vegetation]
    - wood
    - '#56b155' # lch(65,60,140)
    - heath
    - '#9cc47f' # lch(75,40,130)
    - scrub
    - '#9cc47f' # lch(75,40,130)
    - grass
    - '#d5e9c5' # lch(90,20,130)
    - wetland
    - '#d5e9c5'
    - red
